Bug 173009 - useradd will not allow -k
useradd will not allow -k
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-12 03:55 EST by Teguh DC
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-13 07:52:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Teguh DC 2005-11-12 03:55:18 EST
Description of problem:
If i use -k option with useradd then it will display help message and no user
created

Version-Release number of selected component (if applicable):
shadow-utils-4.0.12-5.FC4

How reproducible:
Always

Steps to Reproduce:
1. cp -r /etc/skel /etc/fooskel
2. useradd -k /etc/fooskel foo

  
Actual results:
1. display the help messages
2. no user create

Expected results:
new user created with custom skel defined

Additional info:
when i try with luseradd instead of useradd, this work perfectly
Comment 1 Peter Vrabec 2005-11-13 07:52:38 EST
see:
man useradd
u should use:
# useradd -m -k /etc/fooskel foo

Note You need to log in before you can comment on or make changes to this bug.